# gds-table - Angular

## Import

```typescript
import { GdsTableComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-table>
  <!-- content -->
</gds-table>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-page-change` | `gdsPageChange` | `(gdsPageChange)="handler($event)"` |
| `gds-rows-change` | `gdsRowsChange` | `(gdsRowsChange)="handler($event)"` |
| `gds-sort-change` | `gdsSortChange` | `(gdsSortChange)="handler($event)"` |
| `gds-table-data-loaded` | `gdsTableDataLoaded` | `(gdsTableDataLoaded)="handler($event)"` |
| `gds-table-data-error` | `gdsTableDataError` | `(gdsTableDataError)="handler($event)"` |
| `gds-table-selection` | `gdsTableSelection` | `(gdsTableSelection)="handler($event)"` |
